%define cvsdate 20040520
#%%undefine cvsdate
%def_enable mp3lame
%def_enable vorbis
%def_enable a52bin
%def_enable faadbin
%def_enable faac

Name: ffmpeg
Version: 0.4.8
%define release alt6

%ifdef cvsdate
Release: %{release}cvs%cvsdate
%else
Release: %release
%endif

Summary: Hyper fast MPEG1/MPEG4/H263/RV and AC3/MPEG audio encoder
Summary(ru_RU.KOI8-R):  / MPEG1/MPEG4/H263/RV  AC3/MPEG
Group: Video
License: GPL
Url: http://%name.sourceforge.net

%ifndef cvsdate
Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.gz
%else
Source: %name-%cvsdate.tar.bz2
%endif

# Automatically added by buildreq on Mon May 31 2004
BuildRequires: XFree86-devel XFree86-libs esound freetype2-devel imlib2-devel libSDL-devel libfaac-devel libfaad-devel liblame-devel libogg-devel libvorbis-devel tetex-core zlib-devel

%description
%name is a hyper fast realtime audio/video encoder, a streaming
server and a generic audio and video file converter. 

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

%description -l ru_RU.KOI8-R
%name --  "" /   , 
    ,      
    .

%name      Video4Linux  
        
  DCT/motion.      
 MPEG audio layer 2  ,   AC3.

%package -n lib%name
Summary: Shared libraries to run ffmpeg
Group: System/Libraries
Provides: libavcodec.so
Provides: libavformat.so

%description -n lib%name
This package contains the shared libraries required for ffmpeg

%description -n lib%name -l ru_RU.KOI8-R
      ffmpeg.

%package devel
Summary: Development files for ffmpeg
Group: Development/C
Requires: lib%name = %version-%release

%description devel
This package includes the development libraries, header files and
documentation necessary for developing programs which will use ffmpeg.

%description -l ru_RU.KOI8-R devel
          
 ffmpeg --   ,    
.

%prep
%ifndef cvsdate
%setup -q -n %name-%version
%else
%setup -q -n %name-%cvsdate
%endif

%__subst 's,\-lImlib2,`imlib2-config --libs`,' configure

%build
%set_verify_elf_method textrel=relaxed

export CFLAGS="-I../ -I%_includedir/mp4"
%configure \
    --enable-gpl \
    --enable-pp \
    --enable-pthreads \
    --enable-shared \
%ifnarch i686 athlon
    --disable-mmx \
%endif
    %{subst_enable mp3lame} \
    %{subst_enable vorbis} \
    %{subst_enable a52bin} \
    %{subst_enable faadbin} \
    %{subst_enable faac}

# SMP-incompftible build
%make
%make_build -C doc

%install
%makeinstall

# libpostproc header
%__install -pD -m644 libavcodec/libpostproc/postprocess.h \
    %buildroot%_includedir/postproc/postprocess.h

# server config
%__install -pD -m640 doc/ffserver.conf %buildroot%_sysconfdir/ffserver.conf

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%_bindir/*
%_man1dir/*
%config(noreplace) %_sysconfdir/*
%doc README Changelog doc/*.html

%files -n lib%name
%_libdir/*.so
%dir %_libdir/vhook
%_libdir/vhook/*.so

%files devel
%_includedir/*
%doc doc/{TODO,*.txt,*.html}

%changelog
* Mon May 31 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.4.8-alt6cvs20040520
- new cvs snapshot to build vlc-0.7.2

* Thu Apr 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.4.8-alt5cvs20040222
- new cvs snapshot to build vlc-0.7.1

* Thu Jan 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.4.8-alt4cvs20040103
- install postprocess.h while MPlayer doesn't provides libposproc.
- fix build with faad.

* Mon Jan 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.4.8-alt3cvs20040103
- new cvs snapshot to build vlc-0.7.

* Fri Nov 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.8-alt2
- build with faad support.
- fixed imlib2 detection.
- fixed TEXTREL bug.

* Thu Oct 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.8-alt1
- 0.4.8

* Fri Jul 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.6-alt1cvs20030622
- cvs snapshot to build vlc-0.6.
- summary, descriptions by avp.

* Mon Mar 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.6-alt1cvs20030304
- cvs snapshot to build vlc.

* Sat Dec 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.6-alt1
- official release.

* Thu Dec 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.6-alt0.4cvs20021212
- current cvs snapshot.

* Fri Nov 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.6-alt0.3cvs20021101
- current cvs snapshot.

* Sun Jul 21 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.6-alt0.2cvs20020721
- current cvs snapshot (libname changed to libavcodec).
- ffserver.conf from documentation added in filelist as a config.

* Sat May 25 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.6-alt0.1cvs20020525
- First build for Sisyphus.
